classification
Title: distutils argument parsing is bogus
Type: enhancement Stage: resolved
Components: Distutils Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: akitada, anthonybaxter, eric.araujo, tarek
Priority: low Keywords:

Created on 2005-01-26 07:20 by anthonybaxter, last changed 2020-10-22 20:13 by eric.araujo. This issue is now closed.

Messages (6)
msg60641 - (view) Author: Anthony Baxter (anthonybaxter) (Python triager) Date: 2005-01-26 07:20
setup.py --dry-run install does what you'd expect. 

setup.py install --dry-run silently ignores the dry-run
flag.

msg80954 - (view) Author: Akira Kitada (akitada) * Date: 2009-02-02 16:58
Here's the usage of setup.py

    usage: setup.py [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
       or: setup.py --help [cmd1 cmd2 ...]
       or: setup.py --help-commands
       or: setup.py cmd --help

and '--dry-run' is a global option.
So it looks like valid behavior for me.
msg80957 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-02-02 17:02
yes, that's the expected behavior

*But* we could add a warning, that says that an option was unused.
msg102655 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-04-09 00:03
“Global option” could be understood as “option that can be given to any command”, i.e. “egg spam -d” == “egg -d spam”. Is it feasible to support such and equivalence, too difficult or not desirable?

Regards
msg114951 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-08-26 00:49
Being able to write a global option after a command name seems a nice feature to me, and the implementation should be straightforward: The base Command class already adds some options like help to each subclass, it’s just a matter of adding verbose, quiet and dry-run and adapting distribution.

no-user-cfg would have to be special-cased: Giving this option to one command  would just pass it to the Distribution instance. Supporting per-command no-user-cfg would be overly complicated and not really useful.
msg379337 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2020-10-22 20:13
Given the current status of distutils (mostly used as a base for setuptools, and maybe soon removed from stdlib), I am closing this.
History
Date User Action Args
2020-10-22 20:13:45eric.araujosetstatus: open -> closed
resolution: wont fix
messages: + msg379337

stage: needs patch -> resolved
2014-03-13 20:46:35eric.araujosetstage: needs patch
components: + Distutils, - Distutils2
versions: + Python 2.7, Python 3.3, Python 3.4, - 3rd party
2010-09-29 23:51:16eric.araujosetversions: + 3rd party, - Python 2.6, Python 2.5, Python 3.1, Python 2.7, Python 3.2
2010-08-26 00:50:28eric.araujosetassignee: tarek -> eric.araujo
2010-08-26 00:49:52eric.araujosetnosy: anthonybaxter, tarek, eric.araujo, akitada
messages: + msg114951
components: + Distutils2, - Distutils
versions: + Python 2.6, Python 2.5, Python 3.1, Python 2.7
2010-08-25 22:57:03eric.araujounlinkissue8501 dependencies
2010-08-25 22:55:46eric.araujolinkissue8501 dependencies
2010-08-09 04:38:13terry.reedysetversions: + Python 3.2, - Python 3.1, Python 2.7
2010-04-09 00:03:34eric.araujosetnosy: + eric.araujo
messages: + msg102655
2009-02-02 17:02:58tareksetpriority: normal -> low
assignee: tarek
type: enhancement
messages: + msg80957
versions: + Python 3.1, Python 2.7
2009-02-02 16:58:22akitadasetnosy: + tarek, akitada
messages: + msg80954
2005-01-26 07:20:57anthonybaxtercreate